/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.esr.service.external.person;

/**
 * Initial javadoc for class PersonServiceUtil.
 * TODO - Add content here
 * 
 * Created Jan 4, 2006 9:57:42 AM
 * @author DNS   BOHMEG
 */
public class PersonServiceUtil {
	public static PersonLinkInfo createLinkInfo(VPIDEntityKey deprecatedVPID,
			VPIDEntityKey survivingVPID) {
		return new PersonLinkInfo(deprecatedVPID, survivingVPID);
	}
	
	public static PersonMoveInfo createMoveInfo(String dfn, String stationNumber, VPIDEntityKey fromVpid, VPIDEntityKey toVpid) {
		return new PersonMoveInfo(dfn, stationNumber, fromVpid, toVpid);
	}
	
	public static PersonPrimaryViewInfo createPrimaryViewInfo(VPIDEntityKey vpid) {
		return new PersonPrimaryViewInfo(vpid);
	}
}
